Skip to main content
GET
Get investor saved search

Authorizations

X-API-Key
string
header
required

Path Parameters

searchId
string
required

The ID of the saved search being requested.

Response

The details of an investor saved search.

The details of an investor saved search.

Carries the shared fields, described for the investors product.

id
integer
required

The search id for the saved search, this should be used to query for results for the saved search.

Example:

41853

name
string
required

Name of the saved search.

Example:

"Raised New Fund"

query_id
integer
required

The query id that this saved search is related to, this can be used to query for the search in the address bar. , e.g. https://app.tryspecter.com/investors/10.

Example:

8612

product_type
string
required

The product type the saved search applies to. Always investors for this endpoint - searches of a different product type return 400 NOT_SUPPORTED_PRODUCT.

Example:

"investors"

owner_id
string
required

Id of the user who owns the saved search. Only a search owned by an admin of your organization can be deleted through the API.

full_count
integer | null

The total number of investors that are returned by this saved search.

Example:

1291

is_global
boolean
default:false

true when the saved search is a global search curated by Specter and available to all users. false for searches owned by your organization.

Example:

false